Bug 80383 - Find not working
Find not working
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-25 11:21 EST by Need Real Name
Modified: 2015-01-07 19:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 22:36:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-12-25 11:21:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.1)
Gecko/20020823 Netscape/7.0 (nscd2)

Description of problem:
I did an upgrade of my RH 7.1 to 7.3 and the 'Find'
command for the upgraded 'xemacs-21.4.6-7' does not
work.  I get the following error message:
Symbol's function definition is void:  make-search-dialog

I searched the XEmacs newsgroup archive and found one
person with the same problem who solved it by building
'xemacs-21.4.6-7' from the source RPM.  I tried doing
the same thing and get the following error during the build:

warning: File listed twice: /usr/share/xemacs-21.4.6/lisp/finder-inf.elc   
Finding  Provides: (using /usr/lib/rpm/find-provides)...     Finding  
Requires: (using /usr/lib/rpm/find-requires)...     error: line 643: 
Dependency tokens must begin with alpha-numeric, '_' or '/': - moved buildroot 
to /var/tmp
                                                            error: Failed to 
find Requires:
The binary RPM packages were created by the
build and I installed them but
when I try to use 'xemacs' it core dumps with a
Segmentation Fault.

I thought something on my system might be messed
up due to the upgrade from 7.1 to 7.3 so I did a fresh
install of RH 7.3 and tried again.

Exactly the same problems as on the 7.1 to 7.3 upgraded
system.

I've used 'up2date' to upgrade my system and when I
use RPM to query the kernel version installed I get the
following:
rpm -q -a | grep kernel
kernel-source-2.4.18-18.7.x
kernel-2.4.18-18.7.x
kernel-2.4.18-3

Any thoughts on how to solve this problem would
be greatly appreciated.

Thanks!
Kathy Bieltz

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install xemacs-21.4.6-7 on RH 7.3 with kernel-2.4.18-18.7.x
2.Click on the 'Find' option in the 'Edit' menu.
3.I get the following error message:
Symbol's function definition is void:  make-search-dialog
    

Actual Results:  I get the following error message:
Symbol's function definition is void:  make-search-dialog

Expected Results:  A 'Find' dialog window should popup.

Additional info:

Tried to build from src.rpm and getting following error message
during the build:
warning: File listed twice: /usr/share/xemacs-21.4.6/lisp/finder-inf.elc   
Finding  Provides: (using /usr/lib/rpm/find-provides)...     Finding  
Requires: (using /usr/lib/rpm/find-requires)...     error: line 643: 
Dependency tokens must begin with alpha-numeric, '_' or '/': - moved buildroot 
to /var/tmp

I don't know what's causing this but if someone could tell me what's
causing the above error then maybe I could build an xemacs for my system that
has a working 'Find'.
Comment 1 Jens Petersen 2003-02-19 09:09:25 EST
I suspect this works fine in RHL 8.0, and certainly in certain rawhide.
Comment 2 Need Real Name 2003-02-19 11:35:39 EST
Well it's certainly quite helpful to know that xemacs' Find works
on another distribution that I'm not using for development.
But what I was really asking for is some help in trying to
resolve the problem on the RH 7.3 system I'm actually using.
Comment 3 Jens Petersen 2003-02-20 02:56:07 EST
I confirmed the XEmacs in 8.0 is ok, perhaps you can upgrade to that?

With
 (load "dialog")
 (load "dialog-items")
the dialog X window appears but without any text in it.

I'm not sure what the problem is, it looks like the build was
slightly incorrect.
Comment 4 Jens Petersen 2003-02-20 08:08:27 EST
Oops, comment #1 should read "...in current rawhide".
Comment 5 Need Real Name 2003-02-20 09:33:35 EST
I need to stay at RH 7.3 to develop and maintain
software for customers running RH 7.2-7.3.

Does the xemacs shipped with RedHat's Advanced Server 2.1
work properly?  If I installed ASDE 2.1 would that solve
my problem?
Comment 6 Jens Petersen 2003-02-20 22:36:57 EST
I'm sorry but this is not a support channel... I assume you're
not developing applications in XEmacs LIsp? ;-)

Can't you either

a) just use C-s instead of Edit -> Find ??

or 

b) upgrade to the xemacs in RHL 8.0 on your workstation?

Note You need to log in before you can comment on or make changes to this bug.